Xerces2 Implementation: Class XSGroupDecl

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XSGroupDecl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XSGroupDecl

All Implemented Interfaces:
  org.apache.xerces.xs.XSModelGroupDefinition, org.apache.xerces.xs.XSObject

public class XSGroupDecl
extends java.lang.Object
implements org.apache.xerces.xs.XSModelGroupDefinition

The XML representation for a group declaration schema component is a global <group> element information item

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: XSGroupDecl.java 699892 2008-09-28 21:08:27Z mrglavas $
Author:
  Sandy Gao, IBM

Field Summary
`org.apache.xerces.xs.XSObjectList` | `fAnnotations`
`XSModelGroupImpl` | `fModelGroup`
`java.lang.String` | `fName`
`java.lang.String` | `fTargetNamespace`

Constructor Summary
`XSGroupDecl()`

Method Summary
`org.apache.xerces.xs.XSAnnotation` | `getAnnotation()` Optional.
`org.apache.xerces.xs.XSObjectList` | `getAnnotations()` Optional.
`org.apache.xerces.xs.XSModelGroup` | `getModelGroup()` {model group} A model group.
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`org.apache.xerces.xs.XSNamespaceItem` | `getNamespaceItem()` A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fName

    public java.lang.String fName

### fTargetNamespace

    public java.lang.String fTargetNamespace

### fModelGroup

    public XSModelGroupImpl fModelGroup

### fAnnotations

    public org.apache.xerces.xs.XSObjectList fAnnotations

Constructor Detail

### XSGroupDecl

    public XSGroupDecl()

Method Detail

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.
  Specified by:
    `getType` in interface `org.apache.xerces.xs.XSObject`

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.
  Specified by:
    `getName` in interface `org.apache.xerces.xs.XSObject`

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.
  Specified by:
    `getNamespace` in interface `org.apache.xerces.xs.XSObject`

### getModelGroup

    public org.apache.xerces.xs.XSModelGroup getModelGroup()

  {model group} A model group.
  Specified by:
    `getModelGroup` in interface `org.apache.xerces.xs.XSModelGroupDefinition`

### getAnnotation

    public org.apache.xerces.xs.XSAnnotation getAnnotation()

  Optional. Annotation.
  Specified by:
    `getAnnotation` in interface `org.apache.xerces.xs.XSModelGroupDefinition`

### getAnnotations

    public org.apache.xerces.xs.XSObjectList getAnnotations()

  Optional. Annotations.
  Specified by:
    `getAnnotations` in interface `org.apache.xerces.xs.XSModelGroupDefinition`

### getNamespaceItem

    public org.apache.xerces.xs.XSNamespaceItem getNamespaceItem()

  Description copied from interface: `org.apache.xerces.xs.XSObject`
  A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
  Specified by:
    `getNamespaceItem` in interface `org.apache.xerces.xs.XSObject`
  See Also:
    `XSObject.getNamespaceItem()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.